AlertConditionEvaluatorDiagnosticService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.mbean.AlertConditionEvaluatorDiagnosticService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.mbean
Class AlertConditionEvaluatorDiagnosticService

    java.lang.Object
      org.hyperic.hq.events.server.mbean.AlertConditionEvaluatorDiagnosticService

All Implemented Interfaces:
  DiagnosticObject, org.hyperic.hq.events.server.mbean.AlertConditionEvaluatorDiagnosticServiceMBean

    public class AlertConditionEvaluatorDiagnosticService

extends java.lang.Object
implements org.hyperic.hq.events.server.mbean.AlertConditionEvaluatorDiagnosticServiceMBean, DiagnosticObject

Alert Condition Evaluator Diagnostic service

Constructor Summary
`AlertConditionEvaluatorDiagnosticService()`

Method Summary
`java.lang.String` | `displaySummary()`
`java.lang.String` | `getName()`
`java.lang.String` | `getShortName()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `inspectByAlertDefinitionIds(java.lang.String alertDefinitionIds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlertConditionEvaluatorDiagnosticService

    public AlertConditionEvaluatorDiagnosticService()

Method Detail

### getStatus

    public java.lang.String getStatus()

  Specified by:
    `getStatus` in interface `DiagnosticObject`

### displaySummary

    public java.lang.String displaySummary()

  Specified by:
    `displaySummary` in interface `org.hyperic.hq.events.server.mbean.AlertConditionEvaluatorDiagnosticServiceMBean`

### inspectByAlertDefinitionIds

    public java.lang.String inspectByAlertDefinitionIds(java.lang.String alertDefinitionIds)

  Specified by:
    `inspectByAlertDefinitionIds` in interface `org.hyperic.hq.events.server.mbean.AlertConditionEvaluatorDiagnosticServiceMBean`
  Parameters:
    `alertDefinitionIds` - A comma-separated list of alert definition ids to inspect

### getShortName

    public java.lang.String getShortName()

  Specified by:
    `getShortName` in interface `DiagnosticObject`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `DiagnosticObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.